<?xml version="1.0" encoding="UTF-8"?>
<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <section id="refilo_general" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
        <class>separator-top</class>
        <label>General</label>
        <tab>refilo</tab>
        <resource>FiloBlu_Refilo::refilo_config</resource>
        <group id="discalimers_topbar" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Disclaimers and TopBar</label>
            <field id="top_strip" translate="label comment" type="editor" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>TopStrip</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="terms_conditions" translate="label comment" type="editor" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Terms and Conditions</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="marketing_disclaimer" translate="label comment" type="editor" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Marketing Disclaimer</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="profiling_disclaimer" translate="label comment" type="editor" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Profiling Disclaimer</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="privacy_disclaimer" translate="label comment" type="editor" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Privacy Disclaimer</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
            <field id="cookie_disclaimer" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Cookie Disclaimer</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
        </group>
        <group id="discalimers_addresses" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Disclaimers Addresses</label>
            <field id="street_additional_label" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Street Additional Label</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>

            <field id="company_additional_label" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Company Additional Label</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
        </group>
        <group id="discalimers_checkout" translate="label" type="text" sortOrder="30" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Disclaimers Checkout</label>
            <field id="rassurance_info" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Rassurance Info</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>

            <field id="custom_duties_disclaimer" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Custom Duties Disclaimer</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
        </group>
        <group id="discalimers_contacts" translate="label" type="text" sortOrder="40" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Contacts Form</label>
            <field id="contacts_form" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Contact Form</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>

            <field id="work_with_us_form" translate="label" type="editor" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Work With Us Form</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
        </group>
        <group id="discalimers_oosn" translate="label" type="text" sortOrder="50" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Out of Stock Form</label>
            <field id="out_of_stock_notification_form" translate="label" type="editor" sortOrder="60" showInDefault="1"
                   showInWebsite="1" showInStore="1">
                <label>OOSN Form</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\Form\Field\Editor</frontend_model>
            </field>
        </group>
        <group id="address_autocomplete" translate="label" type="text" sortOrder="60" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>Address Autocomplete</label>
            <field id="enable_address_autocomplete" translate="label comment" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Enable Address Autocomplete</label>
                <source_model>Magento\Config\Model\Config\Source\Enabledisable</source_model>
            </field>
            <field id="autocomplete_api_key" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>API Key</label>
                <depends>
                    <field id="enable_address_autocomplete">1</field>
                </depends>
            </field>
        </group>
        <group id="refilo_zendesk" translate="label" type="text" sortOrder="70" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>ZenDesk</label>
            <field id="zendesk_script_src" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>ZenDesk Script src</label>
            </field>
            <field id="zendesk_departments" translate="label" type="select" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Zendesk Departments</label>
                <frontend_model>FiloBlu\Refilo\Block\Adminhtml\System\Config\DepartmentsList</frontend_model>
                <backend_model>FiloBlu\Refilo\Model\Config\Backend\Serialized\ArraySerialized</backend_model>
            </field>
            <field id="zendesk_preselected_department" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>ZenDesk Preselected Department</label>
            </field>
        </group>
        <group id="refilo_whatsapp" translate="label" type="text" sortOrder="80" showInDefault="1" showInWebsite="1" showInStore="1">
            <label>WhatsApp</label>
            <field id="whatsapp_number" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>WhatsApp Phone Number</label>
                <comment>Use international number without + or 0 characters Ex: +39 3331234567 or 0039 3331234567 must be saved as 393331234567</comment>
            </field>
            <field id="whatsapp_prefilled" translate="label" type="text" sortOrder="1" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>WhatsApp Prefilled Text</label>
            </field>
        </group>
    </section>
</include>
